function updateR(R,r)

  ## this function is used to update the amount of resources within patches.
  ## R is a two-row matrix. One column per patch.
  # First row : current amount of resources within patches.
  # Second row : maximum amount of resources within patches
  ## r : resource renewal rate

  for i in 1:size(R,2)
    if R[1,i] < R[2,i]
      R[1,i] = R[1,i] + r*(1-(R[1,i]/R[2,i]))*R[1,i]
    end
  end

  return R

end
