function Repro(ind,h,n,data,paraInd,orient,E,indTar,target,lastTar,miam,Nvisites,Tcrw,Ener,patches,L,vecOrient,rho,miamTar)

  ## this function modifies all the variables when a reproduction event occurs.

  # for details about the parameters, see "exampleRun.jl"
  # for details about the variable, see "initialReproRand.jl"

  nit = size(data,1)

  data = cat(3,data,zeros(nit,2))
  data[h,:,n] = data[h,:,ind]

  paraInd = cat(3,paraInd,zeros(5,size(patches,1)))

  orient = vcat(orient,rand(1)2pi)
  E = vcat(E,1)
  indTar = vcat(indTar,0)
  target = cat(1,target,zeros(1,2))
  lastTar = cat(2,lastTar,zeros(size(lastTar,1)))
  miamTar = cat(2,miamTar,zeros(size(miamTar,1)))
  miam = vcat(miam,0)
  Nvisites = vcat(Nvisites,0)
  Tcrw = vcat(Tcrw,0)

  Ener = cat(2,Ener,zeros(nit))

  L=vcat(L,0)

  ll=size(data,1)
  if rho==0
    vecOrient = vcat(vecOrient,rand(ll)*2*pi)
  elseif rho==1
    vecOrient = vcat(vecOrient,zeros(ll))
  else
    sd = sqrt(-2*log(rho))
    vecOrient = vcat(vecOrient,randn(ll)*sd )  # a vector with a lot of angles
  end


  return(data,paraInd,orient,E,indTar,target,lastTar,miam,Nvisites,Tcrw,Ener,L,vecOrient,miamTar)
end
